Bug 522533 - monitoring tab disappears on pxt pages
Summary: monitoring tab disappears on pxt pages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space08
TreeView+ depends on / blocked
 
Reported: 2009-09-10 16:02 UTC by Joshua Roys
Modified: 2010-02-16 12:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 15:47:45 UTC


Attachments (Terms of Use)

Description Joshua Roys 2009-09-10 16:02:04 UTC
Description of problem:
monitoring tab disappears on pxt pages

Version-Release number of selected component (if applicable):
0.6

How reproducible:
click monitoring -> scout config push
or any other pxt page (ssm)

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
monitoring tab disappears

Expected results:
monitoring tab sticks around

Additional info:
There are some differences between the perl/java sitenav-authenticated.xml files - it could be that or the perl acl code failing?  Nothing obviously wrong in /var/log/{rhn,tomcat*,httpd}.  Deleting the acl="show_monitoring()" in /var/www/html/nav/sitenav-authenticated.xml causes this problem to disappear.

Comment 1 Jan Pazdziora 2010-02-02 10:45:47 UTC
With Spacewalk 0.7, the Monitoring tab sits there nicely once monitoring is enabled, both on /rhn/admin/multiorg/Organizations.do and /network/monitoring/scout/index.pxt page.

Could you confirm if it is fixed on your 0.7+ as well?

Comment 2 josh.kayse 2010-02-02 15:27:46 UTC
it is confirmed fixed!  Thanks!

Comment 3 Jan Pazdziora 2010-02-02 15:47:45 UTC
Thank you for the confirmation.

Comment 4 Michael Mráka 2010-02-16 12:59:41 UTC
Spacewalk 0.8 has been released


Note You need to log in before you can comment on or make changes to this bug.